Summary: Wanderlust 
Name: wl
Version: 2.2.18
Release: 2
Copyright: GPL
Group: Utilities/Text
Source0: ftp://ftp.gohome.org/wl/beta/wl-%{version}.tar.gz 
Packager: Kazuhisa TAKEI <kazu@redhat.com>
BuildRoot: /var/tmp/wl-root/
%define prefix  /usr
Requires: apel,flim,semi

Summary(ja): Wanderlust

%changelog
* Mon Sep 11 2000 Matt Wilson <msw@redhat.com>
- added %%defattr(-,root,root)
- use the internal %%{version} macro instead of using our own %%{ver} definition

* Fri Aug 25 2000 Kazuhisa TAKEI<kazu@redhat.com>
- version 2.2.18
- for Redhat 7.0

* Wed Aug  4 1999 Kazuhisa TAKEI<ktakei@jaist.ac.jp>
- version 2.1.2
- emacs 20.4 base

* Sat May 15 1999 Kazuhisa TAKEI<ktakei@jaist.ac.jp>
- First build

%description
Wanderlust is a mail/news management system with IMAP4rev1 support for Emacs.

%description -l ja
Wanderlust  Emacs ư IMAP4rev1 бΥ᡼/˥塼ƥǤ

%prep
%setup
#%patch0 -p1

%build
make ELISPDIR=/var/tmp/wl-root/usr/share/emacs/site-lisp/wl EMACS=emacs
make info INFODIR=/var/tmp/wl-root/usr/info EMACS=emacs


%install
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/wl
mkdir -p $RPM_BUILD_ROOT/usr/info
mkdir -p $RPM_BUILD_ROOT/usr/doc/wl-%{version}
cp -a [0-9A-C]* $RPM_BUILD_ROOT/usr/doc/wl-%{version}/.
cp -a utils/*.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/wl/.
make install ELISPDIR=/var/tmp/wl-root/usr/share/emacs/site-lisp/wl EMACS=emacs
(find $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/wl  \
	 -type f -o -type l | sort ) > wl.files

make install-info INFODIR=/var/tmp/wl-root/usr/info EMACS=emacs
(find $RPM_BUILD_ROOT/usr/doc/wl-%{version} $RPM_BUILD_ROOT/usr/info \
         -type f -o -type l |  sort ) > wl-doc.files

for n in *.files; do
        mv $n $n.in
        sed "s|.*/usr|/usr|" < $n.in | while read file; do
            if [ -d $RPM_BUILD_ROOT/$file ]; then
                echo -n '%dir '
            fi
            echo $file
        done > $n
done


%files -f wl.files
%defattr(-,root,root)
%doc /usr/doc/*
%doc /usr/info/*
